﻿
namespace KiraSh.ResumeTracker
{
    public class EmailServer
    {
        /// <summary>
        /// username for SMTP server
        /// </summary>
        public string SMTPUserName { get; set; }

        /// <summary>
        /// password for SMTP
        /// </summary> 
        public string SMTPPassword { get; set; }

        /// <summary>
        /// name for the server
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// SMTP server adress
        /// </summary>
        public string Server { get; set; }

        /// <summary>
        /// SMTP server port
        /// </summary>
        public int Port { get; set; }

        /// <summary>
        /// true if SSL should be enabled
        /// </summary>
        public bool SSL { get; set; }

        /// <summary>
        /// email account used for this server
        /// </summary>
        public string EmailFrom { set; get; }

        public override string ToString()
        {
            return this.Name;
        }
    }
}
