﻿using System;

namespace KiraSh.ResumeTracker
{
    // application
    public class ResumeJob : IComparable<ResumeJob>
    {
        // time of the application by defaukt 
        // is set to todays date
        public DateTime Date
        {
            set;
            get;
        }

        // name of the position
        public string JobName
        {
            get;
            set;
        }

        // link to the job posting
        public string JobLink
        {
            get;
            set;
        }

        // email resume was forwarded to
        public string SendTo
        {
            get;
            set;
        }

        // path to the document that 
        // stores the posting
        public string JobPath
        {
            set;
            get;
        }

        // path to the document that 
        // stores the resume used
        public string ResumePath
        {
            set;
            get;
        }

        // compare to used for sorting
        // need sorting by date for the applications
        public int CompareTo(ResumeJob r)
        {
            return Date.CompareTo(r.Date) * (-1);
        }
    }
}
